/*
 * Ibis - IRCv3 Library
 * Copyright (C) 2022-2024 Ibis Developers
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef IBIS_H
#define IBIS_H

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
# ifdef IBIS_COMPILATION
#  error "ibis source files should not be including ibis.h"
# endif /* IBIS_COMPILATION */
#endif /* __GI_SCANNER__ */

#ifndef IBIS_GLOBAL_HEADER_INSIDE
# define IBIS_GLOBAL_HEADER_INSIDE
#endif /* IBIS_GLOBAL_HEADER_INSIDE */

#include <ibis/ibisbatch.h>
#include <ibis/ibiscapabilities.h>
#include <ibis/ibischanmodes.h>
#include <ibis/ibisclient.h>
#include <ibis/ibisconstants.h>
#include <ibis/ibiscore.h>
#include <ibis/ibisctcpmessage.h>
#include <ibis/ibisdcc.h>
#include <ibis/ibisfeatures.h>
#include <ibis/ibisformatting.h>
#include <ibis/ibismessage.h>
#include <ibis/ibismodechange.h>
#include <ibis/ibisnormalize.h>
#include <ibis/ibissasl.h>
#include <ibis/ibissource.h>
#include <ibis/ibisstandardreply.h>
#include <ibis/ibisstring.h>
#include <ibis/ibistags.h>
#include <ibis/ibisversion.h>

#undef IBIS_GLOBAL_HEADER_INSIDE

#endif /* IBIS_H */
